require 'redmine'

require_dependency 'like_hook'

Rails.logger.info 'Starting Like Plugin for Redmine'

Rails.configuration.to_prepare do
    unless ActionView::Base.included_modules.include?(LikeHelper)
        ActionView::Base.send(:include, LikeHelper)
    end
end

Redmine::Plugin.register :like do
    name 'Like button'
    author 'Andriy Lesyuk'
    author_url 'http://www.andriylesyuk.com/'
    description 'Adds Facebook Like button to projects.'
    url 'http://projects.andriylesyuk.com/projects/redmine-like'
    version '0.1.0'

    settings :default => {
        :location    => 'mainarea',
        :show_faces  => 0,
        :width       => 500,
        :action      => 'like',
        :colorscheme => 'light'
    }, :partial => 'settings/like'
end
